#include <stdio.h>
#include <zephyr/kernel.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/drivers/spi.h>
#include <zephyr/device.h>
#include <zephyr/drivers/sensor.h>
#include <zephyr/logging/log.h>
#include <zephyr/devicetree.h>
#include "lsm6dsv16x_zephyr.h"  // Include your custom driver header

#if !DT_NODE_EXISTS(DT_NODELABEL(lsm6dsv16x))
#error "whoops"
#endif
#define SPIOP	SPI_WORD_SET(8) | SPI_TRANSFER_MSB

LOG_MODULE_REGISTER(main, LOG_LEVEL_INF);
const struct device *lsm6ds16x_dev = DEVICE_DT_GET(DT_NODELABEL(lsm6dsv16x));

int main(void) {
    int err;

    err = device_is_ready(lsm6ds16x_dev);
    if(!err) {
        LOG_INF("ERROR: SPI device is not ready, err: %d", err);
        return 0;
    }

    //  uint8_t who_am_i;
    //  if(custom_lsm6dsv16x_who_am_i(dev, &who_am_i) == 0) {
    //      LOG_INF("WHO_AM_I: 0x%02x", who_am_i);
    //  }
    while(1)
    {

    }

    return 0;
}
